import type { StandardNangoConfig } from '@nangohq/shared';
export declare function compileAllFiles({ debug, scriptName, providerConfigKey, type }: {
    debug: boolean;
    scriptName?: string;
    providerConfigKey?: string;
    type?: string;
}): Promise<boolean>;
export declare function compileSingleFile({ file, tsconfig, config, modelNames }: {
    file: ListedFile;
    tsconfig: string;
    config: StandardNangoConfig[];
    modelNames: string[];
}): void;
export interface ListedFile {
    inputPath: string;
    outputPath: string;
    baseName: string;
}
export declare function getFileToCompile(filePath: string): ListedFile;
export declare function listFilesToCompile({ cwd, scriptName, config, debug }: {
    cwd?: string;
    scriptName?: string | undefined;
    config: StandardNangoConfig[];
    debug?: boolean;
}): ListedFile[];
